.TH "LOGALERT" 1 "08/02/2005" "Gabriel Armbrust Araujo"

.SH NAME
.P
logalert \- watch files for specific patterns

.SH SYNOPSIS
.P
NORMAL MODE:

.P
\fBlogalert\fR \-m PATTERN \-e COMMAND [\fIOPTION\fR] [FILENAME]

.P
PARENT MODE: 

.P
logalert \-c CONFIGFILE

.SH DESCRIPTION
.P
logalert is a logfile monitoring tool which executes a specific action whenever 
it matches a string (pattern) occurrence.

.P
It reads an entire file (or starts at the end, just like \fBtail \-f\fR), keeps track
of any changes, waiting for a specific pattern (a syslog process error, a user login,
\&...) and fires an action you define when that happens.

.P
logalert uses regular expression to match the pattern occurrence and executes 
commands via shell interaction. It deals fine with logrotation and temporary removal 
normally used by sysadmins.

.SH OPTIONS
.RS
\fB\-m, \-\-match=PATTERN\fR
.RS
match any occurrence of PATTERN. Uses regular expression.
.RE
.RE

.RS
\fB\-e, \-\-exec=COMMAND\fR
.RS
Executes COMMAND if pattern is found. This command is executed via
the default user SHELL. Please be caution \- this may be a security issue.
.RE
.RE

.RS
\fB\-c, \-\-config\-file=CONFFILE\fR
.RS
\fBPARENT MODE ONLY\fR \- configuration file listing one or more files to
monitor and their respec. options. This is a standalone option. Please
reffer to \fIPARENT MODE\fR section bellow.
.RE
.RE

.RS
\fB\-s, \-\-match\-sleep=SECONDS\fR
.RS
number of seconds after a match we disable execution command. Sometimes
a pattern may appear multiple times, but we would like to execute only
once. We execute the \fIcommand\fR for the first match and then disable it
for \fBSECONDS\fR period of time. 
.RE
.RE

.RS
\fB\-i, \-\-match\-count=count\fR
.RS
number of instances of a pattern occurrence afer which we would like to execute
\fIcommand\fR only once.
.RE
.RE

.RS
\fB\-r, \-\-retry=RETRY\fR
.RS
how many times we'll try to open/read the logfile before giving up.
.RE
.RE

.RS
\fB\-b, \-\-from\-begin\fR
.RS
Default mode is to start reading from the end of the file. It this is set
we will read the \fBentire\fR file.
.RE
.RE

.RS
\fB\-u, \-\-user=USER\fR
.RS
run as USER. Considering using this always as a security measure.
.RE
.RE

.RS
\fB\-v, \-\-verbose\fR
.RS
If set, we'll display the output to stdout (just like \fBtail \-c\fR).
.RE
.RE

.SH NORMAL MODE
.P
In short, you specify all options in command line and run one instance of \fBlogalert\fR 
monitoring \fBone\fR file.

.nf
  logalert -m '[Oo]pss' -e '/etc/mailme.sh' -b somefile 
.fi


.P
If \fBFILENAME\fR is not defined, then stdin is used. So you can do some pipe, like this:

.nf
  cat somefile | logalert -m '[Oo]pss' -e '/etc/mailme.sh' 
.fi


.SH PARENT MODE
.P
This is for system administrators who whish to monitor multiple files, differente options and actions. Just create a simple configuration file with the following syntax:

.nf
  filename name-of-the-file
  {
  
          match           = /PATTERN/
          exec            = COMMAND
          match_sleep     = INTEGER
          retry           = INTEGER
          user            = USER
  
  }
.fi


.SH EXAMPLES
.SS 1
.P
Imagine you have a VPN in your firewall server and would like to restart it everytime it goes down. The process related to the VPN reports it's information via syslog to the file
/var/log/vpn . 

.P
Everytime a problem occurs, it dumps a message :

.nf
  \&'Error: VPN lost connection'
.fi


.P
You already have a script in /etc/init.d/startprocess that [re]starts the VPN, so you could:

.nf
  \&./logalert --match='[Ee]rror: VPN lost connection' --exec='/etc/init.d/startprocess restart' /var/log/vpn
.fi


.SS 2
.P
You have multiple logfiles and different options/actions ? 

.P
Create a configuration file like this:

.nf
  -------
  filename /var/log/messages
  {
          match           = /[Ee][Rr]{2}or: VPN lost connection/
          exec            = /etc/init.d/vpn restart
          match_sleep     = 10
          retry           = 3
          user            = vpnuser
  }
  
  filename /var/log/mail
  {
          match           = /Bounce from:/
          exec            = /home/willy/alertme.sh
          match_sleep     = 5
          retry           = 3
          user            = willy
  }
  -------
  
.fi


.P
And starts logalert in PARENT mode:

.nf
  logalert -c /etc/logalert.conf
.fi


.SS NOTES
.P
(1) Commands are executed using \fBSHELL \-c command\fR .

.P
(2) Configuration file braces must always be in a separated line.

.SH BUGS, FEEDBACK
.P
I welcome any feedback about logalert. Please email them to <gabriel@icaro.com.br>

.SH AUTHOR
.P
Written by Gabriel Armbrust Araujo


.\" man code generated by txt2tags 2.3 (http://txt2tags.sf.net)
.\" cmdline: txt2tags -t man -i ../tools/cvs/logalert/doc/logalert.t2t -o ../tools/cvs/logalert/doc/logalert.man

